Loading...
Searching...
No Matches
irr::core::map< KeyType, ValueType >::ConstIterator Class Reference

Const Iterator. More...

`#include <irrMap.h>`

## Public Member Functions

| ConstIterator ()
| ConstIterator (const ConstIterator &src)
| ConstIterator (const Iterator &src)
| ConstIterator (const Node *root)
bool | atEnd () const
const Node * | getNode () const
const Node & | operator* ()
void | operator++ (int)
void | operator-- (int)
const Node * | operator-> ()
ConstIterator & | operator= (const ConstIterator &src)
void | reset (bool atLowest=true)

## Friends

class | Iterator

## Detailed Description

template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::ConstIterator

Const Iterator.

Definition at line 287 of file irrMap.h.

## Constructor & Destructor Documentation

## ConstIterator() [1/4]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ConstIterator::ConstIterator | ( |  | ) |

inline

Definition at line 292 of file irrMap.h.

Referenced by ConstIterator(), and operator=().

## ConstIterator() [2/4]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ConstIterator::ConstIterator | ( | const Node * | root | ) |

inline

Definition at line 295 of file irrMap.h.

References reset().

## ConstIterator() [3/4]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ConstIterator::ConstIterator | ( | const ConstIterator & | src | ) |

inline

Definition at line 301 of file irrMap.h.

References ConstIterator().

## ConstIterator() [4/4]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ConstIterator::ConstIterator | ( | const Iterator & | src | ) |

inline

Definition at line 302 of file irrMap.h.

References Iterator.

## Member Function Documentation

## atEnd()

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::ConstIterator::atEnd | ( |  | ) | const

inline

Definition at line 312 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by operator*().

## getNode()

template<class KeyType, class ValueType>

const Node * irr::core::map< KeyType, ValueType >::ConstIterator::getNode | ( |  | ) | const

inline

Definition at line 318 of file irrMap.h.

Referenced by operator->().

## operator*()

template<class KeyType, class ValueType>

const Node & irr::core::map< KeyType, ValueType >::ConstIterator::operator* | ( |  | ) |

inline

Definition at line 345 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, and atEnd().

## operator++()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ConstIterator::operator++ | ( | int |  | ) |

inline

Definition at line 330 of file irrMap.h.

## operator--()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ConstIterator::operator-- | ( | int |  | ) |

inline

Definition at line 335 of file irrMap.h.

## operator->()

template<class KeyType, class ValueType>

const Node * irr::core::map< KeyType, ValueType >::ConstIterator::operator-> | ( |  | ) |

inline

Definition at line 340 of file irrMap.h.

References getNode().

## operator=()

template<class KeyType, class ValueType>

ConstIterator & irr::core::map< KeyType, ValueType >::ConstIterator::operator= | ( | const ConstIterator & | src | ) |

inline

Definition at line 323 of file irrMap.h.

References ConstIterator().

## reset()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ConstIterator::reset | ( | bool | atLowest = true | ) |

inline

Definition at line 304 of file irrMap.h.

Referenced by ConstIterator().

## Friends And Related Symbol Documentation

## Iterator

template<class KeyType, class ValueType>

friend class Iterator

friend

Definition at line 289 of file irrMap.h.

References Iterator.

Referenced by ConstIterator(), and Iterator.

The documentation for this class was generated from the following file:

- irrMap.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0